Package Details: mach64drm 20180107-1

Git Clone URL: https://aur.archlinux.org/mach64drm.git (read-only, click to copy)
Package Base: mach64drm
Description: Mach64 DRM module
Upstream URL: http://dri.freedesktop.org/wiki/DRM
Licenses: GPL
Submitter: lambchops468
Maintainer: trya
Last Packager: trya
Votes: 6
Popularity: 0.000000
First Submitted: 2008-06-21 14:27
Last Updated: 2018-05-30 20:22

Latest Comments

« First ‹ Previous 1 2 3 4

Anonymous comment on 2010-08-19 02:21

One small mistake prevents this package from installing properly.

--- a/mach64drm.install 2010-08-18 19:11:01.256666693 -0700
+++ b/mach64drm.install 2010-08-18 19:11:40.049999997 -0700
@@ -6,10 +6,10 @@
echo ""
echo "IMPORTANT NOTES"
echo "---------------"
- echo "- This DRM module is unstable and hasn't been updated
- echo " for long. It is very likely you will experience
+ echo "- This DRM module is unstable and hasn't been updated"
+ echo " for long. It is very likely you will experience"
echo " crashes if suspending or switching between X and VTs."
- echo "- Direct rendering doesn't work with 24bpp color depth.
+ echo "- Direct rendering doesn't work with 24bpp color depth."
echo " Configure your X server to use 16bpp or less."

trya commented on 2010-08-11 15:01

Either you build this package, or you compile and install the module with make; make install.

jackoneill commented on 2010-08-11 14:13

#TryA
Too bad I haven't a clue how to do any of that (the TODO list)...

Do you have some instructions for compiling this?

trya commented on 2010-08-10 17:51

I finally got it to compile out of the tree on newer kernels. Much simpler to install and maintain. It is still very unstable, but direct rendering works pretty well (16bpp is mandatory though). Feel free to take a look at the source tarball and more specifically at the TODO list if you can sort out something about it.